Bug 1051255 - Tooltip descriptions for Console Invocation are vague
Summary: Tooltip descriptions for Console Invocation are vague
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Frantisek Kobzik
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On: 1065947
Blocks: 902971 1071894
TreeView+ depends on / blocked
 
Reported: 2014-01-09 22:52 UTC by Bryan Yount
Modified: 2014-06-12 14:08 UTC (History)
12 users (show)

Fixed In Version: 3.4.0-0.15.beta3.el6ev.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1065947 1071894 (view as bug list)
Environment:
Last Closed:
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 24249 0 None None None Never
oVirt gerrit 25265 0 None MERGED frontend: Adjust console tooltips Never

Description Bryan Yount 2014-01-09 22:52:22 UTC
Description of problem:
The tooltip description of the "Auto" and "Native" console invocations are a bit vague. It does not explain to the user what a "spice configuration file" is or how it can be used.

Version-Release number of selected component (if applicable):
3.3.0-beta1

How reproducible:
Very

Steps to Reproduce:
1. Start a VM
2. Right-click on the VM and select "Console Options"
3. Hover the mouse cursor over "Auto" (for example) or "Native"

Actual results:
"If there is a SPICE plugin installed in your browser, it is used for invoking the console session. Otherwise SPICE configuration file is downloaded."

Suggested results:
"If there is a SPICE plugin installed in your browser, it is used for invoking the console session. Otherwise, a SPICE configuration file is downloaded which will automatically launch the MSI-installed Remote Viewer (found under "Client Console Resources")."

Additional info:
Essentially this BZ is to help clear up any confusion that a customer might have about what a "spice configuration" file does and how their Spice Client can use it. Enhancing this text will reduce customer calls/cases related to the new RHEV 3.3 Spice client.

Comment 1 Omer Frenkel 2014-01-12 07:43:01 UTC
the suggested text mention "MSI" which, iiuc, is windows related.
not sure we can have different tool tips according to the browser.

Comment 2 Michal Skrivanek 2014-02-06 13:22:58 UTC
+try to make more clear spice-html5 is not full featured and there are likely problems with rendering, keyboard mapping, etc.

Comment 3 Lukas Svaty 2014-04-30 13:04:43 UTC
verified in av7

Comment 4 Itamar Heim 2014-06-12 14:08:01 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.